osl::PtypeTraits< PPAWN > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =true
static const Ptype | moveType =GOLD
static const int | moveMask =PtypeTraits<GOLD>::moveMask
static const Ptype | basicType =PAWN
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

Definition at line 76 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< PPAWN >::csaName | ( |  | ) |

inline static

Definition at line 84 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< PPAWN >::name | ( |  | ) |

inline static

Definition at line 83 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< PPAWN >::basicType =PAWN

static

Definition at line 86 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< PPAWN >::betterToPromote =true

static

Definition at line 81 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< PPAWN >::canPromote =false

static

Definition at line 79 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< PPAWN >::indexMin =PtypeTraits<basicType>::indexMin

static

Definition at line 87 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< PPAWN >::isBasic =false

static

Definition at line 78 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< PPAWN >::moveMask =PtypeTraits<GOLD>::moveMask

static

Definition at line 85 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< PPAWN >::moveType =GOLD

static

Definition at line 82 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h